#include<bits/stdc++.h>
using namespace std;
long long n, br=0;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin>>n;
    int curr;
    for(int i=1; i<=n; i++){
        if(i*i*i>n) break;
        if(n%i!=0) continue;
        for(int j=i; j<=n/i; j++){
            if((n/i)%j!=0) continue;
            curr=(n/j)/i;
            if(curr<i || curr<j) continue;
            br++;
        }
    }
    cout<<br;
    return 0;
}